Index: uspace/drv/uhci-hcd/batch.c
===================================================================
--- uspace/drv/uhci-hcd/batch.c	(revision 68b5ed6e84e44c178b95805a59943de5f34bddae)
+++ uspace/drv/uhci-hcd/batch.c	(revision 34eb135a7dcdfe4f18253888d2fdda75870e69ab)
@@ -53,9 +53,9 @@
 } uhci_batch_t;
 
-static void batch_control(batch_t *instance,
+static void batch_control(usb_transfer_batch_t *instance,
     usb_packet_id data_stage, usb_packet_id status_stage);
-static void batch_data(batch_t *instance, usb_packet_id pid);
-static void batch_call_in_and_dispose(batch_t *instance);
-static void batch_call_out_and_dispose(batch_t *instance);
+static void batch_data(usb_transfer_batch_t *instance, usb_packet_id pid);
+static void batch_call_in_and_dispose(usb_transfer_batch_t *instance);
+static void batch_call_out_and_dispose(usb_transfer_batch_t *instance);
 
 
@@ -82,5 +82,5 @@
  * transaction and callback.
  */
-batch_t * batch_get(ddf_fun_t *fun, usb_target_t target,
+usb_transfer_batch_t * batch_get(ddf_fun_t *fun, usb_target_t target,
     usb_transfer_type_t transfer_type, size_t max_packet_size,
     usb_speed_t speed, char *buffer, size_t buffer_size,
@@ -103,8 +103,8 @@
 	} else (void)0
 
-	batch_t *instance = malloc(sizeof(batch_t));
+	usb_transfer_batch_t *instance = malloc(sizeof(usb_transfer_batch_t));
 	CHECK_NULL_DISPOSE_RETURN(instance,
 	    "Failed to allocate batch instance.\n");
-	batch_init(instance, target, transfer_type, speed, max_packet_size,
+	usb_transfer_batch_init(instance, target, transfer_type, speed, max_packet_size,
 	    buffer, NULL, buffer_size, NULL, setup_size, func_in,
 	    func_out, arg, fun, NULL);
@@ -161,5 +161,5 @@
  * is reached.
  */
-bool batch_is_complete(batch_t *instance)
+bool batch_is_complete(usb_transfer_batch_t *instance)
 {
 	assert(instance);
@@ -205,5 +205,5 @@
  * Uses genercir control function with pids OUT and IN.
  */
-void batch_control_write(batch_t *instance)
+void batch_control_write(usb_transfer_batch_t *instance)
 {
 	assert(instance);
@@ -222,5 +222,5 @@
  * Uses generic control with pids IN and OUT.
  */
-void batch_control_read(batch_t *instance)
+void batch_control_read(usb_transfer_batch_t *instance)
 {
 	assert(instance);
@@ -236,5 +236,5 @@
  * Data transaction with PID_IN.
  */
-void batch_interrupt_in(batch_t *instance)
+void batch_interrupt_in(usb_transfer_batch_t *instance)
 {
 	assert(instance);
@@ -251,5 +251,5 @@
  * Data transaction with PID_OUT.
  */
-void batch_interrupt_out(batch_t *instance)
+void batch_interrupt_out(usb_transfer_batch_t *instance)
 {
 	assert(instance);
@@ -269,5 +269,5 @@
  * Data transaction with PID_IN.
  */
-void batch_bulk_in(batch_t *instance)
+void batch_bulk_in(usb_transfer_batch_t *instance)
 {
 	assert(instance);
@@ -284,5 +284,5 @@
  * Data transaction with PID_OUT.
  */
-void batch_bulk_out(batch_t *instance)
+void batch_bulk_out(usb_transfer_batch_t *instance)
 {
 	assert(instance);
@@ -304,5 +304,5 @@
  * The last packet is marked with IOC flag.
  */
-void batch_data(batch_t *instance, usb_packet_id pid)
+void batch_data(usb_transfer_batch_t *instance, usb_packet_id pid)
 {
 	assert(instance);
@@ -358,5 +358,5 @@
  * The last packet is marked with IOC.
  */
-void batch_control(batch_t *instance,
+void batch_control(usb_transfer_batch_t *instance,
    usb_packet_id data_stage, usb_packet_id status_stage)
 {
@@ -411,5 +411,5 @@
 }
 /*----------------------------------------------------------------------------*/
-qh_t * batch_qh(batch_t *instance)
+qh_t * batch_qh(usb_transfer_batch_t *instance)
 {
 	assert(instance);
@@ -423,8 +423,8 @@
  * @param[in] instance Batch structure to use.
  */
-void batch_call_in_and_dispose(batch_t *instance)
-{
-	assert(instance);
-	batch_call_in(instance);
+void batch_call_in_and_dispose(usb_transfer_batch_t *instance)
+{
+	assert(instance);
+	usb_transfer_batch_call_in(instance);
 	batch_dispose(instance);
 }
@@ -434,8 +434,8 @@
  * @param[in] instance Batch structure to use.
  */
-void batch_call_out_and_dispose(batch_t *instance)
-{
-	assert(instance);
-	batch_call_out(instance);
+void batch_call_out_and_dispose(usb_transfer_batch_t *instance)
+{
+	assert(instance);
+	usb_transfer_batch_call_out(instance);
 	batch_dispose(instance);
 }
@@ -445,5 +445,5 @@
  * @param[in] instance Batch structure to use.
  */
-void batch_dispose(batch_t *instance)
+void batch_dispose(usb_transfer_batch_t *instance)
 {
 	assert(instance);
